#include <SmoothServo.h> // Подключение библиотеки <SmoothServo.h> для работы с сервоприводами

#define FOOT_DOWN 10 // Назначение угла поворота вала сервопривода, при котором ударный механизм находится в промежуточном положении

SmoothServo* foot; // Инициализация сервопривода и присвоение ему имени foot

void setup() {
Board::vertor_PCA(); // Объявление типа используемого контроллера - vertor_PCA

foot = new SmoothServo(15); // Указание номера штыря, к которому подключен сервопривод foot
                                        
foot->setMinAngularSpeed(70); // Установка минимальной угловой скорости поворота вала сервопривода foot
foot->setMaxAngularSpeed(180); // Установка максимальной угловой скорости поворота вала сервопривода foot
  
foot->begin(30); // Команда на запуск работы с сервоприводом foot
}

void loop() {
foot->smoothRotate(FOOT_DOWN); // Команда на плавный поворот вала серводвигателя foot в положение FOOT_DOWN градусов
delay(1000); // Ожидание 1 с.
}
